<?php
class install_check_chmod{


function check()
{
$return = true;
$nw = array(
'/sys/files',
'/sys/themes',
'/sys/preinstall',
'/sys/tmp',
'/sys/ini'
);


foreach ($nw as $path) {
	if (is_writable(H.$path))
	echo $path.' [OK]<br />';
	else
	{
	echo $path.' [Нет]*<br />';
	$return = false;
  }

}

if (!$return)echo '* - В зависимости от настроек на хостинге CHMOD для возможности записи должен быть от 644 до 666<br />';

return $return;
}


function actions()
{
return $this->check();
}


function form()
{
return $this->check();
}


}
?>
